Loading...
Searching...
No Matches
fastjet::SearchTree< T >::Node Class Reference

More...

`#include <fastjet/internal/SearchTree.hh>`

Collaboration diagram for fastjet::SearchTree< T >::Node:
[legend]

## Public Member Functions

bool | treelinks_null () const
| default constructor
void | nullify_treelinks ()
| set all the tree-related links are set to null for this node
void | reset_parents_link_to_me (Node *XX)
| if my parent exists, determine whether I am it's left or right node and set the relevant link equal to XX.

## Public Attributes

T | value
Node * | left
Node * | right
Node * | parent
Node * | successor
Node * | predecessor

## Detailed Description

template<class T>
class fastjet::SearchTree< T >::Node

Definition at line 146 of file SearchTree.hh.

## Constructor & Destructor Documentation

## Node()

template<class T>

fastjet::SearchTree< T >::Node::Node | ( |  | ) |

inline

Definition at line 148 of file SearchTree.hh.

## Member Function Documentation

## treelinks_null()

template<class T>

bool fastjet::SearchTree< T >::Node::treelinks_null | ( |  | ) | const

inline

default constructor

returns tree if all the tree-related links are set to null for this node

Definition at line 152 of file SearchTree.hh.

## nullify_treelinks()

template<class T>

void fastjet::SearchTree< T >::Node::nullify_treelinks | ( |  | ) |

inline

set all the tree-related links are set to null for this node

Definition at line 156 of file SearchTree.hh.

## reset_parents_link_to_me()

template<class T>

void fastjet::SearchTree< T >::Node::reset_parents_link_to_me | ( | Node * | XX | ) |

if my parent exists, determine whether I am it's left or right node and set the relevant link equal to XX.

Definition at line 175 of file SearchTree.hh.

## Member Data Documentation

## value

template<class T>

T fastjet::SearchTree< T >::Node::value

Definition at line 166 of file SearchTree.hh.

## left

template<class T>

Node* fastjet::SearchTree< T >::Node::left

Definition at line 167 of file SearchTree.hh.

## right

template<class T>

Node* fastjet::SearchTree< T >::Node::right

Definition at line 168 of file SearchTree.hh.

## parent

template<class T>

Node* fastjet::SearchTree< T >::Node::parent

Definition at line 169 of file SearchTree.hh.

## successor

template<class T>

Node* fastjet::SearchTree< T >::Node::successor

Definition at line 170 of file SearchTree.hh.

## predecessor

template<class T>

Node* fastjet::SearchTree< T >::Node::predecessor

Definition at line 171 of file SearchTree.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/SearchTree.hh